import React from 'react';
import useFocusScope from '@zohodesk/hooks/es/accessiblity/useFocusScope';
import componentCategories from '../../docs-utils/componentCategories';
import componentGroups from '../../docs-utils/componentGroups';
import propTypes, { defaultProps } from './FocusScope.propTypes';
export default function FocusScope(props) {
  let {
    restoreFocus,
    autoFocus,
    focusLoop,
    getElementRef
  } = props;
  useFocusScope({
    restoreFocus: restoreFocus || false,
    autoFocus: autoFocus || false,
    focusLoop: focusLoop || false,
    contentRef: getElementRef
  });
  return /*#__PURE__*/React.createElement(React.Fragment, null, props.children);
}
FocusScope.propTypes = propTypes;
FocusScope.defaultProps = defaultProps;

if (false) {
  FocusScope.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}